Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class InspectorTable

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JTable
                              |
                              +--com.togethersoft.openapi.ide.inspector.util.table.InspectorTable

public class InspectorTable
extends JTable

A slightly patched JTable used in Inspector.

Author:
  TogetherSoft

Inner classes inherited from class javax.swing.JTable
`JTable.AccessibleJTable`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JTable
`AUTO_RESIZE_OFF, AUTO_RESIZE_NEXT_COLUMN, AUTO_RESIZE_SUBSEQUENT_COLUMNS, AUTO_RESIZE_LAST_COLUMN, AUTO_RESIZE_ALL_COLUMNS, dataModel, columnModel, selectionModel, tableHeader, rowHeight, rowMargin, gridColor, showHorizontalLines, showVerticalLines, autoResizeMode, autoCreateColumnsFromModel, preferredViewportSize, rowSelectionAllowed, cellSelectionEnabled, editorComp, cellEditor, editingColumn, editingRow, defaultRenderersByColumnClass, defaultEditorsByColumnClass, selectionForeground, selectionBackground`

Fields inherited from class javax.swing.JComponent
`ui, listenerList, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, accessibleContext`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`InspectorTable()`
`InspectorTable(int numRows, int numColumns)`
`InspectorTable(Object[][] rowData, Object[] columnNames)`
`InspectorTable(TableModel dm)`
`InspectorTable(TableModel dm, TableColumnModel cm)`
`InspectorTable(TableModel dm, TableColumnModel cm, ListSelectionModel sm)`
`InspectorTable(Vector rowData, Vector columnNames)`

Method Summary
`boolean` | `editCellAt(int row, int column, EventObject e)`
`boolean` | `isCellEditable(int i, int j)`
`void` | `setEnabled(boolean b)` Allows to enable/disable whole table

Methods inherited from class javax.swing.JTable
`addNotify, configureEnclosingScrollPane, removeNotify, unconfigureEnclosingScrollPane, createScrollPaneForTable, setTableHeader, getTableHeader, setRowHeight, getRowHeight, setRowHeight, getRowHeight, setRowMargin, getRowMargin, setIntercellSpacing, getIntercellSpacing, setGridColor, getGridColor, setShowGrid, setShowHorizontalLines, setShowVerticalLines, getShowHorizontalLines, getShowVerticalLines, setAutoResizeMode, getAutoResizeMode, setAutoCreateColumnsFromModel, getAutoCreateColumnsFromModel, createDefaultColumnsFromModel, setDefaultRenderer, getDefaultRenderer, setDefaultEditor, getDefaultEditor, setSelectionMode, setRowSelectionAllowed, getRowSelectionAllowed, setColumnSelectionAllowed, getColumnSelectionAllowed, setCellSelectionEnabled, getCellSelectionEnabled, selectAll, clearSelection, setRowSelectionInterval, setColumnSelectionInterval, addRowSelectionInterval, addColumnSelectionInterval, removeRowSelectionInterval, removeColumnSelectionInterval, getSelectedRow, getSelectedColumn, getSelectedRows, getSelectedColumns, getSelectedRowCount, getSelectedColumnCount, isRowSelected, isColumnSelected, isCellSelected, changeSelection, getSelectionForeground, setSelectionForeground, getSelectionBackground, setSelectionBackground, getColumn, convertColumnIndexToModel, convertColumnIndexToView, getRowCount, getColumnCount, getColumnName, getColumnClass, getValueAt, setValueAt, addColumn, removeColumn, moveColumn, columnAtPoint, rowAtPoint, getCellRect, doLayout, sizeColumnsToFit, sizeColumnsToFit, getToolTipText, editCellAt, isEditing, getEditorComponent, getEditingColumn, getEditingRow, getUI, setUI, updateUI, getUIClassID, setModel, getModel, setColumnModel, getColumnModel, setSelectionModel, getSelectionModel, tableChanged, columnAdded, columnRemoved, columnMoved, columnMarginChanged, columnSelectionChanged, valueChanged, editingStopped, editingCanceled, setPreferredScrollableViewportSize, getPreferredScrollableViewportSize, getScrollableUnitIncrement, getScrollableBlockIncrement, getScrollableTracksViewportWidth, getScrollableTracksViewportHeight, processKeyBinding, createDefaultRenderers, createDefaultEditors, initializeLocalVars, createDefaultDataModel, createDefaultColumnModel, createDefaultSelectionModel, createDefaultTableHeader, resizeAndRepaint, getCellEditor, setCellEditor, setEditingColumn, setEditingRow, getCellRenderer, prepareRenderer, getCellEditor, prepareEditor, removeEditor, paramString, isManagingFocus, isFocusTraversable, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`setUI, getComponentGraphics, paintComponent, paintChildren, paintBorder, update, paint, printAll, print, printComponent, printChildren, printBorder, isPaintingTile, isFocusCycleRoot, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setForeground, setBackground, setFont, processFocusEvent, processComponentKeyEvent, processKeyEvent, setToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, processMouseMotionEvent, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, fireVetoableChange, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, addImpl, remove, remove, removeAll, getLayout, setLayout, layout, invalidate, validate, validateTree, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, processEvent, processContainerEvent, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, enableEvents, disableEvents, coalesceEvents, processComponentEvent, processMouseEvent, processInputMethodEvent, processHierarchyEvent, processHierarchyBoundsEvent, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### InspectorTable

    public InspectorTable()

### InspectorTable

    public InspectorTable(int numRows, int numColumns)

### InspectorTable

    public InspectorTable(Object[][] rowData, Object[] columnNames)

### InspectorTable

    public InspectorTable(TableModel dm)

### InspectorTable

    public InspectorTable(TableModel dm, TableColumnModel cm)

### InspectorTable

    public InspectorTable(TableModel dm, TableColumnModel cm, ListSelectionModel sm)

### InspectorTable

    public InspectorTable(Vector rowData, Vector columnNames)

Method Detail

### editCellAt

    public boolean editCellAt(int row, int column, EventObject e)

### isCellEditable

    public boolean isCellEditable(int i, int j)

### setEnabled

    public void setEnabled(boolean b)

  Allows to enable/disable whole table

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD